Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-1590

We need to support the old command versions for wireformats for upgrade purposes

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PDB 3.0.0
    • Fix Version/s: PDB 3.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      3
    • Sprint:
      PuppetDB 2015-06-17, PuppetDB 2015-07-01

      Description

      When upgrading a user will have old data potentially in the queue before the upgrade. After upgrade PuppetDB will fail on those commands, even 1 command will bounce around with failures. While this will eventually right itself, it's still data loss. Reports most importantly will get lost, while catalogs & facts without historical will eventually correct themselves naturally.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              ken Ken Barber
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support